Subject: bug#47150: [External] : bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Apr 2021 16:36:35 -0400

> For telega, the check for minibuffer is a simple cl-assert, and I think your
> suggestion of using `minibufferp` would be a better choice.

Indeed.

> For others, their test of minibuffer-inactive-mode is actually buried in
> some variable `xxx-ignore-mode-list`, which is later checked by `(member
> major-mode xxx-ignore-modes-list)`. My current modification is to add
> `minibuffer-mode` to those variables. I assume this is the
> simplest solution?

Probably, tho it depends why they make this test.
(e.g. in `smartparens`, I think it'd make a lot of sense to enable the
minor mode during `M-:`, so it shouldn't be disabled for all
minibuffers).

        Stefan